function onBegin()

	math.randomseed(os.time())
	wait(5)
	playSound("event:/2024StoryContest/Narrator_Robot/12_0")
	
	::randomSentence::
	timeToWait = math.random(8,11)
	sentence = math.random(0,5)
	wait(timeToWait)
	if getFlag("MO_CC_FIERecyclingPlant_voice") then
		if sentence == 0 then
			playSound("event:/2024StoryContest/Narrator_Robot/12b_0")
		elseif sentence == 1 then
			playSound("event:/2024StoryContest/Narrator_Robot/12b_1")
		elseif sentence == 2 then
			playSound("event:/2024StoryContest/Narrator_Robot/12b_2")
		elseif sentence == 3 then
			playSound("event:/2024StoryContest/Narrator_Robot/12b_3")
		elseif sentence == 4 then
			playSound("event:/2024StoryContest/Narrator_Robot/12b_4")
		elseif sentence == 5 then
			playSound("event:/2024StoryContest/Narrator_Robot/12b_5")
		end
	end
	goto randomSentence
end